/*
 * Sixth 3D engine. Copyright ©2012-2019, Svjatoslav Agejenko, svjatoslav@svjatoslav.eu
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 3 of the GNU Lesser General Public License
 * or later as published by the Free Software Foundation.
 *
 */

package eu.svjatoslav.sixth.e3d.renderer.raster.shapes;

import eu.svjatoslav.sixth.e3d.gui.RenderingContext;
import eu.svjatoslav.sixth.e3d.gui.humaninput.MouseInteractionController;
import eu.svjatoslav.sixth.e3d.math.TransformPipe;
import eu.svjatoslav.sixth.e3d.renderer.raster.RenderAggregator;

public abstract class AbstractShape {

    public MouseInteractionController mouseInteractionController;

    public void setMouseInteractionController(
            final MouseInteractionController mouseInteractionController) {
        this.mouseInteractionController = mouseInteractionController;
    }

    public abstract void transform(final TransformPipe transforms,
                                   final RenderAggregator aggregator,
                                   final RenderingContext renderingContext);

}
